#
# Copyright (c) 2023 Wind River Systems, Inc.
#
# SPDX-License-Identifier: Apache-2.0
#
# All Rights Reserved.
#

""" System inventory Kustomization resource operator."""

from k8sapp_intel_device_plugins_operator.common import constants as app_constants
from sysinv.helm import kustomize_base as base


class IntelDevicePluginsFluxCDKustomizeOperator(base.FluxCDKustomizeOperator):

    APP = app_constants.HELM_APP_INTEL_DEVICE_PLUGINS_OPERATOR

    def platform_mode_kustomize_updates(self, dbapi, mode):
        """ Update the top-level kustomization resource list

        Make changes to the top-level kustomization resource list based on the
        platform mode

        :param dbapi: DB api object
        :param mode: mode to control when to update the resource list
        """
        pass
