# Copyright (c) 2023 Wind River Systems, Inc.
#
# SPDX-License-Identifier: Apache-2.0
#

from k8sapp_intel_device_plugins_operator.tests import test_plugins

from sysinv.db import api as dbapi
from sysinv.tests.db import base as dbbase
from sysinv.tests.db import utils as dbutils
from sysinv.tests.helm import base


class IntelDevicePluginsTestCase(
    test_plugins.K8SAppIntelDevicePluginsAppMixin, base.HelmTestCaseMixin
):
    """Class for testing of intel-device-plugins-operator."""

    def setUp(self):
        super(IntelDevicePluginsTestCase, self).setUp()
        self.app = dbutils.create_test_app(name='intel-device-plugins-operator')
        self.dbapi = dbapi.get_instance()


class IntelDevicePluginsTestCaseDummy(
    IntelDevicePluginsTestCase, dbbase.ProvisionedControllerHostTestCase
):
    """Dummy test case for intel-device-plugins-operator"""

    # without a test zuul will fail
    def test_dummy(self):
        pass
