#
# Copyright (c) 2023 Wind River Systems, Inc.
#
# SPDX-License-Identifier: Apache-2.0
#

from k8sapp_intel_device_plugins_operator.common import constants as app_constants
from sysinv.tests.db import base as dbbase


class K8SAppIntelDevicePluginsAppMixin(object):
    app_name = app_constants.HELM_APP_INTEL_DEVICE_PLUGINS_OPERATOR
    path_name = app_name + '.tgz'

    def setUp(self):
        super(K8SAppIntelDevicePluginsAppMixin, self).setUp()


# Test Configuration:
# - Controller
# - IPv6
# - Ceph Storage
# - intel-device-plugins-operator app
class K8SAppIntelDevicePluginsControllerTestCase(K8SAppIntelDevicePluginsAppMixin,
                                         dbbase.BaseIPv6Mixin,
                                         dbbase.BaseCephStorageBackendMixin,
                                         dbbase.ControllerHostTestCase):
    pass


# Test Configuration:
# - AIO
# - IPv4
# - Ceph Storage
# - intel-device-plugins-operator app
class K8SAppIntelDevicePluginsAIOTestCase(K8SAppIntelDevicePluginsAppMixin,
                                  dbbase.BaseCephStorageBackendMixin,
                                  dbbase.AIOSimplexHostTestCase):
    pass
